From: "Arthur Zamarin" <arthurzam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/jsonpickle/
Date: Fri, 2 Dec 2022 14:03:35 +0000 (UTC) [thread overview]
Message-ID: <1669989792.a9d570fcc7337e8adaf4641bae8260461209a683.arthurzam@gentoo> (raw)
commit: a9d570fcc7337e8adaf4641bae8260461209a683
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 2 13:51:23 2022 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Dec 2 14:03:12 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a9d570fc
dev-python/jsonpickle: add 3.0.0
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
dev-python/jsonpickle/Manifest | 1 +
dev-python/jsonpickle/jsonpickle-3.0.0.ebuild | 58 +++++++++++++++++++++++++++
2 files changed, 59 insertions(+)
diff --git a/dev-python/jsonpickle/Manifest b/dev-python/jsonpickle/Manifest
index 54024482c4fc..353187458330 100644
--- a/dev-python/jsonpickle/Manifest
+++ b/dev-python/jsonpickle/Manifest
@@ -1 +1,2 @@
DIST jsonpickle-2.2.0.tar.gz 189866 BLAKE2B d8fcd0e8b71947b734c59240d9fa4f0b35b9b0ac2e2940a9baf05c160771db0eae5f011b61e3b1c0bc746a740ac2e137a392931e270fea3acf4884578133283e SHA512 b6cb35316e32f38875cbfa3784a3930f669d4ea730ead6117242070590647987383e9f933c193b8c246c40dba87ad56600a65db89c45c18a790b3c1f9232b245
+DIST jsonpickle-3.0.0.tar.gz 192204 BLAKE2B de46fce9b4cee97ededb4e6febff234c499e0a1025d01dc5e90278e35744938ed1d8bc4f0ac0a0ba5e6006c9bea777479f338849c449aa1e6005c3eb5162d721 SHA512 825e70ccbc35554e7a1938307a81c0672c3a43a10d79a2159e6f453a12a98d36ab5839cf56cd1927c37f30a10efdc33d43a26c91dc7791e788537e2dbd449181
diff --git a/dev-python/jsonpickle/jsonpickle-3.0.0.ebuild b/dev-python/jsonpickle/jsonpickle-3.0.0.ebuild
new file mode 100644
index 000000000000..5d5960256f90
--- /dev/null
+++ b/dev-python/jsonpickle/jsonpickle-3.0.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Python library for serializing any arbitrary object graph into JSON"
+HOMEPAGE="
+ https://github.com/jsonpickle/jsonpickle/
+ https://pypi.org/project/jsonpickle/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/feedparser[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/simplejson[${PYTHON_USEDEP}]
+ dev-python/sqlalchemy[${PYTHON_USEDEP}]
+ dev-python/ujson[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ sed -i -e 's:--cov::' pytest.ini || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # unpackaged bson dependency
+ tests/bson_test.py
+ # broken when gmpy is installed
+ # https://github.com/jsonpickle/jsonpickle/issues/328
+ # https://github.com/jsonpickle/jsonpickle/issues/316
+ tests/ecdsa_test.py
+ )
+ epytest
+}
+
+pkg_postinst() {
+ # Unpackaged optional backends: yajl, demjson
+ optfeature "encoding numpy-based data" dev-python/numpy
+ optfeature "encoding pandas objects" dev-python/pandas
+ optfeature "fast JSON backend" dev-python/simplejson
+}
next reply other threads:[~2022-12-02 14:03 UTC|newest]
Thread overview: 71+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-12-02 14:03 Arthur Zamarin [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-07 6:45 [gentoo-commits] repo/gentoo:master commit in: dev-python/jsonpickle/ Michał Górny
2024-11-07 6:45 Michał Górny
2024-11-06 7:11 Michał Górny
2024-09-21 12:02 Michał Górny
2024-09-21 11:54 Arthur Zamarin
2024-09-03 5:23 Michał Górny
2024-07-07 17:05 Michał Górny
2024-07-06 6:43 Arthur Zamarin
2024-06-21 16:59 Michał Górny
2024-06-10 1:52 Michał Górny
2024-05-22 8:03 Michał Górny
2024-05-01 17:44 Michał Górny
2024-05-01 17:01 Sam James
2024-04-13 16:08 Michał Górny
2024-04-12 3:35 Michał Górny
2024-03-07 19:48 Michał Górny
2024-03-07 18:12 Sam James
2024-02-20 6:13 Michał Górny
2023-11-24 15:02 Arthur Zamarin
2023-10-24 5:40 Michał Górny
2023-09-17 11:26 Michał Górny
2023-08-14 6:26 Michał Górny
2023-01-07 18:55 Arthur Zamarin
2022-12-17 12:34 Michał Górny
2022-12-02 15:39 Michał Górny
2022-11-08 5:00 Michał Górny
2022-11-07 23:18 Sam James
2022-08-29 10:37 Michał Górny
2022-06-13 11:25 Michał Górny
2022-06-13 7:15 Agostino Sarubbo
2022-05-12 7:13 Michał Górny
2022-03-15 14:14 Michał Górny
2022-03-15 11:52 Jakov Smolić
2022-02-04 12:04 Michał Górny
2022-01-28 18:41 Arthur Zamarin
2022-01-14 11:17 Arthur Zamarin
2021-12-13 3:09 Yixun Lan
2021-08-20 12:46 Arthur Zamarin
2021-08-20 12:46 Arthur Zamarin
2021-03-17 7:48 Michał Górny
2021-03-17 2:16 Sam James
2021-02-19 8:58 Michał Górny
2021-02-19 3:40 Sam James
2021-02-08 15:07 Michał Górny
2021-02-08 8:44 Michał Górny
2021-01-31 8:53 Michał Górny
2021-01-17 9:02 Michał Górny
2020-12-31 1:17 Sam James
2020-12-30 8:58 Michał Górny
2020-11-30 8:25 Michał Górny
2020-08-18 5:28 Sam James
2020-06-12 15:40 Michał Górny
2020-06-04 6:35 Agostino Sarubbo
2020-06-04 6:23 Agostino Sarubbo
2020-05-19 12:49 Michał Górny
2020-05-04 11:13 Michał Górny
2020-05-01 15:44 Michał Górny
2020-04-29 6:31 Patrick McLean
2020-04-29 5:57 Patrick McLean
2020-03-17 7:23 Michał Górny
2020-03-07 15:03 Michał Górny
2020-03-07 11:03 Agostino Sarubbo
2020-03-07 9:44 Agostino Sarubbo
2020-03-02 12:23 Sebastian Pipping
2020-02-05 15:29 Michał Górny
2019-06-24 20:57 Zac Medico
2018-06-24 15:24 Pacho Ramos
2017-01-18 11:57 Agostino Sarubbo
2017-01-18 11:28 Agostino Sarubbo
2016-03-13 19:04 Patrick Lauer
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1669989792.a9d570fcc7337e8adaf4641bae8260461209a683.arthurzam@gentoo \
--to=arthurzam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox